'*******************************************************************************
'* Filename    : Runstring 8x48 led for ATMEGA32                               *
'* Revision    : 1.0                                                           *
'* Controller  : ATMEGA32                                                      *
'* Compiler    : BASCOM-AVR 1.11.9.0                                           *
'* Author      : Rubashka Vasiliy , Ukraine , 2008                             *
'* WWW         : http://ledeffects.net                                         *
'* Mail        : info@ledeffects.net                                           *
'*******************************************************************************


 '$sim

'-------------------------   ---------------------------

$regfile = "m32def.dat"                                     '   ATMEGA32
$crystal = 14745600                                         '
$baud = 9600                                                '

Config Clock = User
Config Date = Dmy , Separator = .

Config 1wire = Porta.0
Config Scl = Portd.6
Config Sda = Portd.5
'Config Twi = 800000
Config I2cdelay = 2

Config Portc = Output                                       ' 
Config Portb = Output                                       '     
Portb.1 = 1                                                 ' 

'-----------------------------   --------------------------------

Dim Simb(9) As Word                                         ' 
Dim Y As Word                                               ' 
Dim Index As Word                                           ' -   
Dim Maxsimb As Word                                         '    
Dim X(72) As Byte                                           '  Asciitable  
Dim X1(72) As Byte
Dim Rrr As Byte                                             ' 
Dim Aaa As Byte                                             ' 
Dim Zzz As Byte                                             ' 
Dim S(9) As Byte                                            '   
Dim M1 As Byte                                              '1   
Dim M2 As Byte                                              '2   
Dim Sdvig_ryada As Byte                                     '  
Dim Stroka As Byte                                          '  
Dim Speed As Byte                                           '  
Dim Stroka_invert As Byte                                   '   
Dim Pattern As Byte                                         '      
Dim Dannye As Byte                                          '   
Dim Temp As Byte                                            '   
Dim Base As Byte                                            '      eeprom
Dim Eepdata As Byte                                         '     eeprom
Dim Ttt As Byte
Dim Last_symbol As Word
Dim Iii As Byte
Dim Hi As Byte , Lo As Byte                                 '      EEPROM
Dim Tmp As Word
Dim Tttt As Word
'Dim Dat As Eram String * 10 At 3
Dim Ddd As String * 5
Dim Iiii As Word
Dim X32 As Byte
Dim X33 As Byte

Dim Text_buffer(400) As Byte                                '     EEPROM
Dim Eeprom_pointer As Word                                  '      EEPROM

Dim Day_of_week As Byte                                     '  
Dim Day_of_week_shift As Byte

Dim E11 As Byte , E12 As Byte , Speed1 As Byte , Cntt As Word


 'Date$ = "11/11/11"
 'Time$ = "00:47:00"

'------------------------    ---------------------------

Dim Byte0 As Byte , 2byte0 As Byte , 3byte0 As Byte,        '     
Dim Byte1 As Byte , 2byte1 As Byte , 3byte1 As Byte



Dim Dsid1(8) As Byte
Dim Dsid2(8) As Byte
Dim Dsid3(8) As Byte





'   
Dim M3 As Integer
Dim T1 As Byte , 2t1 As Byte , 3t1 As Byte                  '   
Dim T2 As Byte , 2t2 As Byte , 3t2 As Byte
Dim N1 As Byte , 2n1 As Byte , 3n1 As Byte
Dim N2 As Byte , 2n2 As Byte , 3n2 As Byte
Dim N3 As Byte , 2n3 As Byte , 3n3 As Byte
'Dim N4 As Byte
'Dim N5 As Byte


'------------------------     -----------------------------

Dim H1 As Byte , H2 As Byte
Dim Mm1 As Byte , Mm2 As Byte
'-----------,   
Dim Weekday As Byte
Dim D1 As Byte , D2 As Byte
Dim Mo1 As Byte , Mo2 As Byte
Dim Y1 As Byte , Y2 As Byte

Const Ds1307w = &HD0                                        'Addresses of Ds1307 clock
Const Ds1307r = &HD1
Const Slave_w = &B1010_0000                                 'slave write address  EEPROM
Const Slave_r = &B1010_0001                                 'slave read address  EEPROM

'-----------------------------   -----------------------------

Declare Sub Read_eeprom(byval Adres As Word , Value As Byte)       '   EEPROM
Declare Sub Write_eeprom(byval Adres As Word , Byval Value As Byte)       '    EEPROM
Declare Sub Convallt                                        ' Convert T on ALL sensors
Declare Function Decigrades(byval Sc(9) As Byte) As Integer

Dsid1(1) = &H28
Dsid1(2) = &HB6
Dsid1(3) = &H42
Dsid1(4) = &HA6
Dsid1(5) = &H01
Dsid1(6) = &H00
Dsid1(7) = &H00
Dsid1(8) = &HCA

Dsid2(1) = &H28
Dsid2(2) = &H60
Dsid2(3) = &H1B
Dsid2(4) = &HF6
Dsid2(5) = &H02
Dsid2(6) = &H00
Dsid2(7) = &H00
Dsid2(8) = &HE6


Dsid3(1) = &H28
Dsid3(2) = &H7A
Dsid3(3) = &H69
Dsid3(4) = &HA6
Dsid3(5) = &H01
Dsid3(6) = &H00
Dsid3(7) = &H00
Dsid3(8) = &HA0

  'Config Timer0 = Timer , Prescale = 1024
  'On Timer0 Download
  Enable Interrupts
  'Enable Timer0
 Enable Urxc
 On Urxc Dwl
'For Tttt = 0 To 600
'Readeeprom Ttt , Tttt
'Call Write_eeprom(tttt , Ttt)
'Next Tttt

Eeprom_pointer = 0                                          '    EEPROM

Sdvig_ryada = 7
Gosub Show                                                  ' 


'Text_buffer(4) = 209
'Simb(4) = 4
'Gosub Reedeeprom

'For Ttt = 1 To 200


'Gosub Reedeeprom


'Gosub Video
'Next Ttt

'-------------------------------------------------------------------------------
'**************************    ****************************
'-------------------------------------------------------------------------------


'Call Write_eeprom(351 , 46)

'Gosub Initializaziya

Day_of_week_shift = 63
Startprg:
Do                                                          ' 


  1wreset
   1wwrite &HCC
   1wwrite &H44


Gosub Getdatetime



'Gosub Initializaziya

Sdvig_ryada = 7



'Gosub Initializaziya

Gosub Text_buffer_fill                                      '   0-47 

'1wreset                                                     ' 
'1wwrite &HCC                                                ' 
'1wwrite &H44                                                ' 


'----------------------------     ---------------------------

'For Ttt = 1 To 8                                            '      
'Simb(ttt) = Ttt
'Next Ttt

'Gosub Tim

'Gosub Reedeeprom                                            '                                                      '     

'Gosub Copy_screen_to_buffer                                 '     

'Gosub Buffer_to_screen                                      '      

'For Ttt = 1 To 4                                            '     4    
'   For Iii = 2 To 72                                        '   
'      X(iii -1) = X(iii)
'    Next Iii
'   Gosub Video
' Next Ttt

'X32 = X(40)                                                 '    
'X33 = X(41)



'For Ttt = 1 To 6                                            '   6 
'   X(40) = 0
'   X(41) = 0
'   For Tttt = 1 To 30
'      Gosub Video
'    Next Tttt
'   X(40) = X32
'   X(41) = X33
'   For Tttt = 1 To 30
'      Gosub Video
'    Next Tttt
' Next Ttt

'Gosub Screen_to_left                                        '    

'------------------------------     ----------------------------

'Gosub Dat

'For Ttt = 1 To 8                                            '      
'Simb(ttt) = Ttt + 8
'Next Ttt

'Gosub Reedeeprom                                            '   

'Gosub Copy_screen_to_buffer                                 '     

'Gosub Buffer_to_screen                                      '      

'Gosub Pause                                                 '    

'Gosub Screen_to_left                                        '    

'----------------------------      ------------------------

'Gosub T0

'Day_of_week = Weekday

'Gosub Day_of_week_decode                                    '   

'For Ttt = 1 To 8                                            '      
'Simb(ttt) = Ttt + 16
'Next Ttt

'Gosub Reedeeprom                                            '   

'Gosub Copy_screen_to_buffer                                 '     

'Gosub Buffer_to_screen                                      '      

'Gosub Pause                                                 '    

'Gosub Screen_to_left                                        '    

'Day_of_week_shift = 63


'-----------------------       -------------------



' Gosub T1

'For Ttt = 1 To 8                                            '      
'Simb(ttt) = Ttt + 24
'Next Ttt

'Gosub Reedeeprom                                            '   

'Gosub Copy_screen_to_buffer                                 '     

'Gosub Buffer_to_screen                                      '      

'X(72) = X1(64)

'Gosub Pause                                                 '    

'Gosub Screen_to_left                                        '    

'---------------------       -----------------

' Gosub T2

'For Ttt = 1 To 8                                            '      
'Simb(ttt) = Ttt + 32
'Next Ttt

'Gosub Reedeeprom                                            '   

'Gosub Copy_screen_to_buffer                                 '     

'Gosub Buffer_to_screen                                      '      

'X(72) = X1(64)

'Gosub Pause                                                 '    

'Gosub Screen_to_left                                        '    

'-----------------------       ---------------------

'Gosub T3
'For Ttt = 1 To 8                                            '      
'Simb(ttt) = Ttt + 40
'Next Ttt

'Gosub Reedeeprom                                            '   

'Gosub Copy_screen_to_buffer                                 '     

'Gosub Buffer_to_screen                                      '      

'X(72) = X1(64)

'Gosub Pause                                                 '    

'Gosub Screen_to_left                                        '    




'---------------------------     -----------------------------


For Ttt = 1 To 8
Text_buffer(ttt) = 32
Next Ttt

Tttt = 9

For Tmp = 400 To 450

Call Read_eeprom(tmp , Temp)
N1 = Temp \ 100
N1 = N1 + 48
Temp = Temp Mod 100
N2 = Temp \ 10
N2 = N2 + 48
N3 = Temp Mod 10
N3 = N3 + 48
Text_buffer(tttt) = N1
Incr Tttt
Text_buffer(tttt) = N2
Incr Tttt
Text_buffer(tttt) = N3
Incr Tttt
Text_buffer(tttt) = 32
Incr Tttt

Next Tmp






Sdvig_ryada = 0
'Gosub Initializaziya

For Ttt = 1 To 9                                            '      
Simb(ttt) = Ttt
Next Ttt

'Gosub Eeprom_to_buffer

Gosub Reedeeprom

Gosub Text_work

Gosub Screen_to_left                                        '    








Loop                                                        ' 

'-------------------------------------------------------------------------------
'*******************************************************************************
'-------------------------------------------------------------------------------








Text_work:

Do

   Gosub Video
   Incr Sdvig_ryada                                         '    
   If Sdvig_ryada = 8 Then
      Sdvig_ryada = 0
      Gosub Sdvigsimbol                                     ' 
    End If

   If Text_buffer(simb(9)) = 13 Then
      Gosub Video

      Return
    End If

Loop


Return






'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                         RS232
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Downloadt:



  Disable Interrupts


Portc = 0


'(
For Index = 1 To 3                                          '     -    
  Temp = Waitkey()
  Temp = Waitkey()
Next Index


Temp = Waitkey()                                            '   
  If Temp > "9" Then                                        '  (.) -  ( - 210)
     Temp = Temp - 7                                        '   (.) -  ( - 194)
  End If
  Shift Temp , Left , 4
  Eepdata = Temp And &HF0
Temp = Waitkey()
  If Temp > "9" Then
     Temp = Temp - 7
  End If
  Temp = Temp And &HF
  Eepdata = Eepdata Or Temp
')


'If Eepdata = 210 Then                                       '   

'(
  E11 = Waitkey()
  E12 = Waitkey()
  Cntt = E11 * 256
  Cntt = Cntt + E12
  Cntt = Cntt - 1

  Speed1 = Waitkey()

  Call Write_eeprom(0 , E11 )
  Call Write_eeprom(1 , E12 )
  Call Write_eeprom(2 , Speed1 )
')



For Index = 0 To 51
  Temp = Waitkey()
  If Temp > "9" Then
     Temp = Temp - 7
  End If
  Shift Temp , Left , 4
  Eepdata = Temp And &HF0
  Temp = Waitkey()
  If Temp > "9" Then
     Temp = Temp - 7
  End If
  Temp = Temp And &HF
  Eepdata = Eepdata Or Temp
  Call Write_eeprom(index , Eepdata )
Next Index




'   For Index = 0 To Cntt
'   For Index = 0 To 51
'   Temp = Waitkey()
'   If Temp > "9" Then
'      Temp = Temp - 7
'     End If
'   Shift Temp , Left , 4
'   Eepdata = Temp And &HF0
'   Temp = Waitkey()
'   If Temp > "9" Then
'      Temp = Temp - 7
'     End If
'   Temp = Temp And &HF
'   Eepdata = Eepdata Or Temp
''   If Index > 2 Then
'      Call Write_eeprom(index , Eepdata )
''     End If

'   If Eepdata = 182 Then
      'Gosub Initializaziya
      'Return
 '     Exit For
'     End If

'   Next Index
   'Gosub Initializaziya

   'Return

'(
Elseif Eepdata = 194 Then                                   '  /

   For Index = 1 To 5
   Temp = Waitkey()
   If Temp > "9" Then
      Temp = Temp - 7
     End If
   Shift Temp , Left , 4
   Eepdata = Temp And &HF0
   Temp = Waitkey()
   If Temp > "9" Then
      Temp = Temp - 7
     End If
   Temp = Temp And &HF
   Eepdata = Eepdata Or Temp

   Text_buffer(index) = Eepdata

   Next Index

'_______________________________________________________________________________
_hour = Text_buffer(1)
_min = Text_buffer(2)
Gosub Settime

_day = Text_buffer(3)
_month = Text_buffer(4)
_year = Text_buffer(5)
Gosub Setdate
'                                !!!!!!!!!                    ds1307
'_______________________________________________________________________________





'_______________________________________________________________________________




')


'End If

  Enable Interrupts

  Goto Startprg




Do

nop
nop

Loop


  Enable Interrupts


Return

'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                          
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Initializaziya:


1wreset                                                     ' 
1wwrite &HCC                                                ' 
1wwrite &H44                                                ' 

Gosub Text_buffer_fill                                      '   0-47 

Simb(1) = 1
Simb(2) = 2
Simb(3) = 3
Simb(4) = 4
Simb(5) = 5
Simb(6) = 6
Simb(7) = 7
Simb(8) = 8
Simb(9) = 9

Sdvig_ryada = 0

Call Read_eeprom(0 , M1)                                    '     
Call Read_eeprom(1 , M2)                                    '     
Maxsimb = M1 * 256                                          '   
Maxsimb = Maxsimb + M2
Maxsimb = Maxsimb + 3
Call Read_eeprom(2 , Speed)                                 ' 

'Call Write_eeprom(maxsimb , 182)                            '      182 -  

For Ttt = 1 To 8                                            '  8     
   Text_buffer(ttt) = 32
 Next Ttt

'For Tttt = 226 To 400                                       '    EEPROM   
'   Iiii = Tttt - 1
'   Call Read_eeprom(iiii , Ttt)
'   Text_buffer(tttt -170) = Ttt
' Next Tttt

'Gosub Eeprom_to_buffer
'Gosub Reedeeprom
Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            EEPROM
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Reedeeprom:


'Call Read_eeprom(simb(1) , S(1))
S(1) = Text_buffer(simb(1))
Y = S(1) * 8
For Zzz = 1 To 8
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(2) , S(2))
S(2) = Text_buffer(simb(2))
Y = S(2) * 8
For Zzz = 9 To 16
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(3) , S(3))
S(3) = Text_buffer(simb(3))
Y = S(3) * 8
For Zzz = 17 To 24
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(4) , S(4))
S(4) = Text_buffer(simb(4))
Y = S(4) * 8
For Zzz = 25 To 32
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(5) , S(5))
S(5) = Text_buffer(simb(5))
Y = S(5) * 8
For Zzz = 33 To 40
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(6) , S(6))
S(6) = Text_buffer(simb(6))
Y = S(6) * 8
For Zzz = 41 To 48
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(7) , S(7))
S(7) = Text_buffer(simb(7))
Y = S(7) * 8
For Zzz = 49 To 56
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(8) , S(8))
S(8) = Text_buffer(simb(8))
Y = S(8) * 8
For Zzz = 57 To 64
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(9) , S(9))
S(9) = Text_buffer(simb(9))
Y = S(9) * 8
For Zzz = 65 To 72
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Sdvigsimbol:


For Rrr = 1 To 9
Incr Simb(rrr)
'If Simb(rrr) = Maxsimb Then Simb(rrr) = 3
Gosub Reedeeprom
Next Rrr
Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                              
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Video:


For Stroka = 0 To 7
Stroka_invert = 7 - Stroka

If Sdvig_ryada = 0 Then
For Aaa = 1 To 65
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 1 Then
For Aaa = 2 To 66
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 2 Then
For Aaa = 3 To 67
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 3 Then
For Aaa = 4 To 68
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 4 Then
For Aaa = 5 To 69
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 5 Then
For Aaa = 6 To 70
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 6 Then
For Aaa = 7 To 71
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 7 Then
For Aaa = 8 To 72
Pattern = X(aaa)
Gosub Work
Next
End If
Speed = 6
'    
If Stroka = 0 Then Portc = 1
If Stroka = 1 Then Portc = 2
If Stroka = 2 Then Portc = 4
If Stroka = 3 Then Portc = 8
If Stroka = 4 Then Portc = 16
If Stroka = 5 Then Portc = 32
If Stroka = 6 Then Portc = 64
If Stroka = 7 Then Portc = 128

'       
'If Speed = 1 Then Waitus 1491
'If Speed = 2 Then Waitus 1715
'If Speed = 3 Then Waitus 1972
'If Speed = 4 Then Waitus 4000                               '2268
'If Speed = 5 Then Waitus 2608
'If Speed = 6 Then Waitus 3000

Waitus 1972

Portc = 0                                                   '  
'Waitus 100

Next Stroka
Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Eeprom_to_buffer:


'Eeprom_pointer = 3
Ttt = 9                                                     '     

For Tttt = Eeprom_pointer To 511
Call Read_eeprom(tttt , Text_buffer(ttt))
If Text_buffer(ttt) = 13 Then
   Eeprom_pointer = Tttt + 1
   Incr Ttt
   Incr Tttt
   Call Read_eeprom(tttt , Text_buffer(ttt))
   If Text_buffer(ttt) = 182 Then Eeprom_pointer = 0
   If Text_buffer(ttt) = 10 Then
      Incr Eeprom_pointer
      Incr Ttt
      Incr Tttt
      Call Read_eeprom(tttt , Text_buffer(ttt))
      If Text_buffer(ttt) = 182 Then Eeprom_pointer = 0
    End If
   Return
 End If

Incr Ttt
'If Tttt >= 352 Then
'   Eeprom_pointer = 230
'   Return
' End If
Next Tttt

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Work:


Dannye = Pattern.stroka_invert
Portb.2 = 0
Portb.0 = Dannye
Portb.2 = 1

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                       0 - 47  
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Text_buffer_fill:


'---------------------------------  ---------------------------------------

Text_buffer(1) = 32
Text_buffer(2) = 32
Text_buffer(3) = 49
Text_buffer(4) = 53
Text_buffer(5) = 58
Text_buffer(6) = 48
Text_buffer(7) = 48
Text_buffer(8) = 32

'---------------------------------  ----------------------------------------

Text_buffer(9) = 32
Text_buffer(10) = 51
Text_buffer(11) = 46
Text_buffer(12) = 49
Text_buffer(13) = 49
Text_buffer(14) = 46
Text_buffer(15) = 49
Text_buffer(16) = 49

'-------------------------------   -----------------------------------

Text_buffer(17) = 215
Text_buffer(18) = 197
Text_buffer(19) = 210
Text_buffer(20) = 194
Text_buffer(21) = 197
Text_buffer(22) = 208
Text_buffer(23) = 195
Text_buffer(24) = 32
'-----------------------------   -------------------------------

Text_buffer(25) = 140
Text_buffer(26) = 141
Text_buffer(27) = 32
Text_buffer(28) = 32
Text_buffer(29) = 45
Text_buffer(30) = 49
Text_buffer(31) = 53
Text_buffer(32) = 159

'----------------------------   ---------------------------

Text_buffer(33) = 156
Text_buffer(34) = 157
Text_buffer(35) = 158
Text_buffer(36) = 32
Text_buffer(37) = 43
Text_buffer(38) = 50
Text_buffer(39) = 50
Text_buffer(40) = 159

'------------------------------    -----------------------------

Text_buffer(41) = 142
Text_buffer(42) = 143
Text_buffer(43) = 144
Text_buffer(44) = 32
Text_buffer(45) = 43
Text_buffer(46) = 50
Text_buffer(47) = 53
Text_buffer(48) = 159

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                           
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Copy_screen_to_buffer:


For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                           
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Buffer_to_screen:


For Ttt = 1 To Day_of_week_shift
   X(72) = X1(ttt)
   For Iii = 2 To 72
      X(iii -1) = X(iii)
    Next Iii
   Gosub Video
 Next Ttt

X(72) = 0

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                             
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Screen_to_left:


For Ttt = 1 To 71
   For Iii = 2 To 72
      X(iii -1) = X(iii)
    Next Iii
   Gosub Video
   X(72) = 0
 Next Ttt

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                             
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Pause:


For Ttt = 1 To 100
   Gosub Video
 Next Ttt

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Day_of_week_decode:


Day_of_week_shift = 58

If Day_of_week = 5 Then                                     ' 
   Text_buffer(17) = 207
   Text_buffer(18) = 206
   Text_buffer(19) = 205
   Text_buffer(20) = 197
   Text_buffer(21) = 196
   Text_buffer(22) = 45
   Text_buffer(23) = 202
   Text_buffer(24) = 32

  End If

If Day_of_week = 6 Then                                     ' 
   Text_buffer(17) = 194
   Text_buffer(18) = 210
   Text_buffer(19) = 206
   Text_buffer(20) = 208
   Text_buffer(21) = 205
   Text_buffer(22) = 200
   Text_buffer(23) = 202
   Text_buffer(24) = 32
  End If

If Day_of_week = 7 Then                                     ' 
   Text_buffer(17) = 32
   Text_buffer(18) = 209
   Text_buffer(19) = 208
   Text_buffer(20) = 197
   Text_buffer(21) = 196
   Text_buffer(22) = 192
   Text_buffer(23) = 32
   Text_buffer(24) = 32
  End If

If Day_of_week = 1 Then                                     ' 
   Text_buffer(17) = 215
   Text_buffer(18) = 197
   Text_buffer(19) = 210
   Text_buffer(20) = 194
   Text_buffer(21) = 197
   Text_buffer(22) = 208
   Text_buffer(23) = 195
   Text_buffer(24) = 32
  End If

If Day_of_week = 2 Then                                     ' 
   Text_buffer(17) = 207
   Text_buffer(18) = 223
   Text_buffer(19) = 210
   Text_buffer(20) = 205
   Text_buffer(21) = 200
   Text_buffer(22) = 214
   Text_buffer(23) = 192
   Text_buffer(24) = 32
  End If

If Day_of_week = 3 Then                                     ' 
   Text_buffer(17) = 209
   Text_buffer(18) = 211
   Text_buffer(19) = 193
   Text_buffer(20) = 193
   Text_buffer(21) = 206
   Text_buffer(22) = 210
   Text_buffer(23) = 192
   Text_buffer(24) = 32
  End If

If Day_of_week = 4 Then                                     ' 
   Text_buffer(17) = 194
   Text_buffer(18) = 206
   Text_buffer(19) = 209
   Text_buffer(20) = 202
   Text_buffer(21) = 208
   Text_buffer(22) = 45
   Text_buffer(23) = 197
   Text_buffer(24) = 32
  End If

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                                    
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Show:


Tttt = 40

For Ttt = 1 To 72
   X(ttt) = 0
 Next Ttt

For Ttt = 41 To 72
   X(ttt) = 255
   X(tttt) = 255
   Gosub Video
   Gosub Video
   Decr Tttt
 Next Ttt

For Ttt = 1 To 30
   Gosub Video
 Next Ttt

For Ttt = 1 To 72
   X(ttt) = 126
 Next Ttt

Gosub Video
Gosub Video
Gosub Video

For Ttt = 1 To 72
   X(ttt) = 60
 Next Ttt

Gosub Video
Gosub Video
Gosub Video

For Ttt = 1 To 72
   X(ttt) = 24
 Next Ttt

Gosub Video
Gosub Video
Gosub Video

For Ttt = 1 To 72
   X(ttt) = 16
 Next Ttt

Gosub Video
Gosub Video
Gosub Video

Tttt = 72
For Ttt = 9 To 40 Step 2
   X(ttt) = 0
   X(ttt + 1) = 0
   X(tttt) = 0
   X(tttt -1) = 0
   Gosub Video
   Decr Tttt
   Decr Tttt
 Next Ttt

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            EEPROM
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Sub Write_eeprom(byval Adres As Word , Byval Value As Byte)


Hi = High(adres)
Lo = Low(adres)
    I2cstart                                                'start condition
    I2cwbyte Slave_w                                        'slave address
    I2cwbyte Hi                                             'high address of EEPROM
    I2cwbyte Lo                                             'low address of EEPROM
    I2cwbyte Value                                          'value to write
    I2cstop                                                 'stop condition
    Waitms 5                                                'wait for 10 milliseconds
End Sub




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            EEPROM'
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Sub Read_eeprom(byval Adres As Word , Value As Byte)


Set Portb.4                                                 '      EEPROM
Hi = High(adres)
Lo = Low(adres)
    I2cstart                                                'generate start
    I2cwbyte Slave_w                                        'slave address
    I2cwbyte Hi                                             'high address of EEPROM
    I2cwbyte Lo                                             'low address of EEPROM
    I2cstart                                                'repeated start
    I2cwbyte Slave_r                                        'slave address (read)
    I2crbyte Value , Nack                                   'read byte
    I2cstop                                                 'generate stop
 Reset Portb.4
End Sub




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'
Getdatetime:                                                'called from ds1307clock.lib


  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 0                                                ' start address in 1307

  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307r                                          ' send address
  I2crbyte _sec , Ack
  I2crbyte _min , Ack                                       ' MINUTES
  I2crbyte _hour , Ack                                      ' Hours
  I2crbyte Weekday , Ack                                    ' Day of Week
  I2crbyte _day , Ack                                       ' Day of Month
  I2crbyte _month , Ack                                     ' Month of Year
  I2crbyte _year , Nack                                     ' Year
  I2cstop
  _sec = Makedec(_sec) : _min = Makedec(_min) : _hour = Makedec(_hour)
  _day = Makedec(_day) : _month = Makedec(_month) : _year = Makedec(_year)
Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                              ds1307
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Setdate:


  _day = Makebcd(_day) : _month = Makebcd(_month) : _year = Makebcd(_year)
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 4                                                ' starting address in 1307
  I2cwbyte _day                                             ' Send Data to SECONDS
  I2cwbyte _month                                           ' MINUTES
  I2cwbyte _year                                            ' Hours
  I2cstop
Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                             ds1307
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Settime:
  _sec = Makebcd(_sec) : _min = Makebcd(_min) : _hour = Makebcd(_hour)
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 0                                                ' starting address in 1307
  I2cwbyte _sec                                             ' Send Data to SECONDS
  I2cwbyte _min                                             ' MINUTES
  I2cwbyte _hour                                            ' Hours
  I2cstop
Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            0
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

T0:

1wreset
   1wwrite &H55
   1wverify Dsid1(1)                                        '  1
   1wwrite &HBE
    Byte0 = 1wread()                                        '      
 Byte1 = 1wread()                                           '    

'---------------------------------
   1wreset
   1wwrite &H55
   1wverify Dsid2(1)                                        '  2
   1wwrite &HBE
    2byte0 = 1wread()                                       '      
 2byte1 = 1wread()                                          '    

'---------------------------------
   1wreset
   1wwrite &H55
   1wverify Dsid3(1)                                        '  3
   1wwrite &HBE
    3byte0 = 1wread()                                       '      
 3byte1 = 1wread()                                          '    

'-------------------------------------------------------------------------------








Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            1
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

T1:


 Set Portb.4
                                    '    



    If Byte1 > 248 Then                                     '   

      Byte0 = &HFF - Byte0
      Byte1 = &HFF - Byte1
      N1 = 45                                               ' ,  -

    Else

     N1 = 43                                                ', 

   End If

 T1 = Byte0 / 16                                            '     4  (2*2*2*2=16)
 T2 = Byte1 * 16                                            '     4  (2*2*2*2=16)
T1 = T1 + T2                                                '     



   If N1 = 43 And T1 = 0 Then                               '  "+"   
      N1 = 32
   End If


N3 = T1 Mod 10                                              '  
'N2 = Abs(m2)
N3 = N3 + 48

T1 = T1 \ 10


N2 = T1 Mod 10                                              '  
'N3 = Abs(m3)
N2 = N2 + 48

'-------------------------------------------------------------------------------

If N2 = 48 Then
   Text_buffer(29) = 32
   Text_buffer(30) = N1
   Text_buffer(31) = N3
   Text_buffer(32) = 159
 Else
   Text_buffer(29) = N1
   Text_buffer(30) = N2
   Text_buffer(31) = N3
   Text_buffer(32) = 159
 End If

'Call Write_eeprom(36 , N1)
'Call Write_eeprom(37 , N2)
'Call Write_eeprom(38 , N3)
'Call Write_eeprom(39 , 159)

Reset Portb.4

Return















'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                            2
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

T2:



 Set Portb.4
                                    '    



    If 2byte1 > 248 Then                                    '   

      2byte0 = &HFF - 2byte0
      2byte1 = &HFF - 2byte1
      2n1 = 45                                              ' ,  -

    Else

     2n1 = 43                                               ', 

   End If

 2t1 = 2byte0 / 16                                          '     4  (2*2*2*2=16)
 2t2 = 2byte1 * 16                                          '     4  (2*2*2*2=16)
 2t1 = 2t1 + 2t2                                            '     



   If 2n1 = 43 And 2t1 = 0 Then                             '  "+"   
      2n1 = 32
   End If


2n3 = 2t1 Mod 10                                            '  
'N2 = Abs(m2)
2n3 = 2n3 + 48

2t1 = 2t1 \ 10


2n2 = 2t1 Mod 10                                            '  
'N3 = Abs(m3)
2n2 = 2n2 + 48

'-------------------------------------------------------------------------------
 Text_buffer(37) = 2n1
 Text_buffer(38) = 2n2
 Text_buffer(39) = 2n3
 Text_buffer(40) = 159




Reset Portb.4




Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                 3 -   
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

T3:


 Set Portb.4
                                    '    



    If 3byte1 > 248 Then                                    '   

      3byte0 = &HFF - 3byte0
      3byte1 = &HFF - 3byte1
      3n1 = 45                                              ' ,  -

    Else

     3n1 = 43                                               ', 

   End If

 3t1 = 3byte0 / 16                                          '     4  (2*2*2*2=16)
 3t2 = 3byte1 * 16                                          '     4  (2*2*2*2=16)
 3t1 = 3t1 + 3t2                                            '     



   If 3n1 = 43 And 3t1 = 0 Then                             '  "+"   
      3n1 = 32
   End If



3n3 = 3t1 Mod 10                                            '  
'N2 = Abs(m2)
3n3 = 3n3 + 48

3t1 = 3t1 \ 10


3n2 = 3t1 Mod 10                                            '  
'N3 = Abs(m3)
3n2 = 3n2 + 48

'-------------------------------------------------------------------------------
  Text_buffer(45) = 3n1
 Text_buffer(46) = 3n2
 Text_buffer(47) = 3n3
 Text_buffer(48) = 159


'Call Write_eeprom(36 , N1)
'Call Write_eeprom(37 , N2)
'Call Write_eeprom(38 , N3)
'Call Write_eeprom(39 , 159)

Reset Portb.4

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                       
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Tim:


H2 = _hour Mod 10
_hour = _hour \ 10
H1 = _hour Mod 10

H2 = H2 + 48
H1 = H1 + 48

Mm2 = _min Mod 10
 _min = _min \ 10

Mm1 = _min Mod 10

Mm1 = Mm1 + 48
Mm2 = Mm2 + 48

Text_buffer(3) = H1
Text_buffer(4) = H2
Text_buffer(6) = Mm1
Text_buffer(7) = Mm2

Return




'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                        
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

Dat:


D2 = _day Mod 10
_day = _day \ 10
D1 = _day Mod 10

Mo2 = _month Mod 10
_month = _month \ 10
Mo1 = _month Mod 10

Y2 = _year Mod 10
_year = _year \ 10
Y1 = _year Mod 10

D1 = D1 + 48
D2 = D2 + 48
Mo1 = Mo1 + 48
Mo2 = Mo2 + 48
Y1 = Y1 + 48
Y2 = Y2 + 48

Text_buffer(9) = D1
Text_buffer(10) = D2

Text_buffer(12) = Mo1
Text_buffer(13) = Mo2

Text_buffer(15) = Y1
Text_buffer(16) = Y2

Return

Dwl:
Toggle Portb.4
Base = Inkey()
If Base = "S" Then                                          '   RS232  "S"
  Gosub Downloadt                                           '    
End If
Enable Interrupts
Return

'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'                                
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'
Asciitable:


' 0
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 1
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 2
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 3
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 4
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 5
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 6
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 7
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 8
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 9
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 10
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 11
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 12
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 13
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 14
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 15
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 16
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 17
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 18
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 19
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 20
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 21
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 22
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 23
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 24
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 25
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 26
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 27
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 28
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 29
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 30
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 31
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 32
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 33      !
Data &B00000000
Data &B00000000
Data &B00000000
Data &B01101111
Data &B01101111
Data &B00000000
Data &B00000000
Data &B00000000

' 34      "
Data &B00000000
Data &B00000011
Data &B00000011
Data &B00000000
Data &B00000000
Data &B00000011
Data &B00000011
Data &B00000000

' 35      #
Data &B11100100
Data &B00111100
Data &B00100111
Data &B11100100
Data &B00111100
Data &B00100111
Data &B00100100
Data &B00000000

' 36      $
Data &B00100110
Data &B01101111
Data &B01001001
Data &B11111111
Data &B01001001
Data &B01111001
Data &B00110010
Data &B00000000

' 37      %
Data &B01000111
Data &B00100101
Data &B00010111
Data &B00001000
Data &B01110100
Data &B01010010
Data &B01110001
Data &B00000000

' 38      &
Data &B00110000
Data &B01110110
Data &B01001001
Data &B01001001
Data &B01010110
Data &B00100000
Data &B01010000
Data &B00000000

' 39      '
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000011
Data &B00000011
Data &B00000000
Data &B00000000
Data &B00000000

' 40      (
Data &B00111100
Data &B01111110
Data &B01000010
Data &B10000001
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 41      )
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B10000001
Data &B01000010
Data &B01111110
Data &B00111100

' 42      *
Data &B00001000
Data &B00101010
Data &B00011100
Data &B01111111
Data &B00011100
Data &B00101010
Data &B00001000
Data &B00000000

' 43      +
Data &B00000000
Data &B00011000
Data &B00011000
Data &B01111110
Data &B01111110
Data &B00011000
Data &B00011000
Data &B00000000

' 44      ,
Data &B10100000
Data &B01100000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 45      -
Data &B00000000
Data &B00011000
Data &B00011000
Data &B00011000
Data &B00011000
Data &B00011000
Data &B00011000
Data &B00000000

' 46      .
Data &B01100000
Data &B01100000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 47      /
Data &B01000000
Data &B01100000
Data &B00110000
Data &B00011000
Data &B00001100
Data &B00000110
Data &B00000011
Data &B00000000

' 48      0
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000

' 49      1
Data &B00000000
Data &B01000100
Data &B01000010
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B00000000

' 50      2
Data &B01000110
Data &B01100111
Data &B01100001
Data &B01010001
Data &B01001001
Data &B01001111
Data &B01000110
Data &B00000000

'51       3
Data &B00110011
Data &B01110011
Data &B01000001
Data &B01001001
Data &B01001101
Data &B01111011
Data &B00110011
Data &B00000000

' 52      4
Data &B00110000
Data &B00111000
Data &B00100100
Data &B00100010
Data &B01111111
Data &B01111111
Data &B00100000
Data &B00000000

' 53      5
Data &B00110111
Data &B01110111
Data &B01000101
Data &B01000101
Data &B01000101
Data &B01111101
Data &B00111001
Data &B00000000

' 54      6
Data &B00111110
Data &B01111111
Data &B01000101
Data &B01000101
Data &B01000101
Data &B01111001
Data &B00111010
Data &B00000000

' 55      7
Data &B00000011
Data &B00000011
Data &B01100011
Data &B01110011
Data &B00001011
Data &B00000111
Data &B00000011
Data &B00000000

' 56      8
Data &B00110110
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000

' 57      9
Data &B00101110
Data &B01001111
Data &B01010001
Data &B01010001
Data &B01010001
Data &B01111111
Data &B00111110
Data &B00000000

' 58      :
Data &B00000000
Data &B00000000
Data &B00000000
Data &B01100011
Data &B01100011
Data &B00000000
Data &B00000000
Data &B00000000

' 59      ;
Data &B10100011
Data &B01100011
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 60      <
Data &B00001000
Data &B00011100
Data &B00110110
Data &B01100011
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 61      =
Data &B00000000
Data &B00010100
Data &B00010100
Data &B00010100
Data &B00010100
Data &B00010100
Data &B00000000
Data &B00000000

' 62      >
Data &B01100011
Data &B00110110
Data &B00011100
Data &B00001000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 63      ?
Data &B00000000
Data &B00000110
Data &B00000011
Data &B01101001
Data &B01101001
Data &B00001111
Data &B00000110
Data &B00000000

' 64      @
Data &B00111110
Data &B01000011
Data &B01011001
Data &B00010101
Data &B00111101
Data &B00100001
Data &B00011110
Data &B00000000

' 65      A
Data &B01111000
Data &B01111100
Data &B00010010
Data &B00010001
Data &B00010001
Data &B01111111
Data &B01111111
Data &B00000000

' 66      B
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000

' 67      C
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01100011
Data &B00110110
Data &B00000000

' 68      D
Data &B01111111
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B00111110
Data &B00011100
Data &B00000000

' 69      E
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01100011
Data &B01100011
Data &B00000000

' 70      F
Data &B01111111
Data &B01111111
Data &B00001001
Data &B00001001
Data &B00001001
Data &B00000011
Data &B00000011
Data &B00000000

' 71      G
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01010001
Data &B01010001
Data &B01110111
Data &B00110110
Data &B00000000

' 72      H
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00001000
Data &B00001000
Data &B01111111
Data &B01111111
Data &B00000000

' 73      I
Data &B00000000
Data &B00000000
Data &B01000001
Data &B01111111
Data &B01111111
Data &B01000001
Data &B00000000
Data &B00000000

' 74      J
Data &B00111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B00110000
Data &B00110000
Data &B00000000

' 75      K
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00010100
Data &B00100010
Data &B01100011
Data &B01100011
Data &B00000000

' 76      L
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B01100000
Data &B01100000
Data &B00000000

' 77      M
Data &B01111111
Data &B01111111
Data &B00000010
Data &B00111100
Data &B00000010
Data &B01111111
Data &B01111111
Data &B00000000

' 78      N
Data &B01111111
Data &B01111111
Data &B00000100
Data &B00001000
Data &B00010000
Data &B01111111
Data &B01111111
Data &B00000000

' 79      O
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000

' 80      P
Data &B01111111
Data &B01111111
Data &B00010001
Data &B00010001
Data &B00010001
Data &B00011111
Data &B00001110
Data &B00000000

' 81      Q
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01010001
Data &B01100001
Data &B01111111
Data &B10111110
Data &B00000000

' 82      R
Data &B01111111
Data &B01111111
Data &B00010001
Data &B00110001
Data &B01010001
Data &B01010001
Data &B01001110
Data &B00000000

' 83      S
Data &B00100110
Data &B01101111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111011
Data &B00110010
Data &B00000000

' 84      T
Data &B00000011
Data &B00000011
Data &B00000001
Data &B01111111
Data &B00000001
Data &B00000011
Data &B00000011
Data &B00000000

' 85      U
Data &B00111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B01111111
Data &B00111111
Data &B00000000

' 86      V
Data &B00001111
Data &B00011111
Data &B00100000
Data &B01000000
Data &B00100000
Data &B00011111
Data &B00001111
Data &B00000000

' 87      W
Data &B00011111
Data &B00111111
Data &B01100000
Data &B00011111
Data &B01100000
Data &B00111111
Data &B00011111
Data &B00000000

' 88      X
Data &B01100011
Data &B01110111
Data &B00010100
Data &B00001000
Data &B00010100
Data &B01110111
Data &B01100011
Data &B00000000

' 89      Y
Data &B00000111
Data &B00001111
Data &B00010000
Data &B11100000
Data &B00010000
Data &B00001111
Data &B00000111
Data &B00000000

' 90      Z
Data &B01000011
Data &B01100011
Data &B01010001
Data &B01001001
Data &B01000101
Data &B01100011
Data &B01100001
Data &B00000000

' 91      [
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B01111111
Data &B01111111
Data &B01000001
Data &B00000000

' 92      \
Data &B00000011
Data &B00000110
Data &B00001100
Data &B00011000
Data &B00110000
Data &B01100000
Data &B01000000
Data &B00000000

' 93      ]
Data &B01000001
Data &B01111111
Data &B01111111
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 94      ^
Data &B00000000
Data &B00001100
Data &B00000110
Data &B00000011
Data &B00000110
Data &B00001100
Data &B00000000
Data &B00000000

' 95      _
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B00000000

' 96
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 97
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 98
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 99
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 100
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 101
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 102
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 103
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 104
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 105
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 106
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 107
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 108
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 109
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 110
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 111
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 112
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 113
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 114
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 115
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 116
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 117
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 118
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 119
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 120
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 121
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 122
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 123
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 124
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 125
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 126
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 127
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 128
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 129
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 130
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 131
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 132
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 133
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 134
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 135
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 136
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 137
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 138
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 139
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 140
Data &B00000100
Data &B00111111
Data &B01000100
Data &B01000000
Data &B00100000
Data &B00000000
Data &B00000000
Data &B01001100

' 141
Data &B01010000
Data &B00100000
Data &B00011100
Data &B01000000
Data &B00111000
Data &B00000100
Data &B01111100
Data &B00000000

' 142
Data &B00000100
Data &B00111111
Data &B01000100
Data &B01000000
Data &B00100000
Data &B00000000
Data &B01111100
Data &B01000000

' 143
Data &B01000000
Data &B01111100
Data &B11000000
Data &B00000000
Data &B00000000
Data &B01111100
Data &B01010100
Data &B01000100

' 144
Data &B00000000
Data &B01000100
Data &B00101000
Data &B00010000
Data &B00101000
Data &B01000100
Data &B00000000
Data &B00000000

' 145
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 146
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 147
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 148
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 149
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 150
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 151
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 152
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 153
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 154
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 155
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 156
Data &B00000100
Data &B00111111
Data &B01000100
Data &B01000000
Data &B00100000
Data &B00000000
Data &B01000000
Data &B00111000

' 157
Data &B00000100
Data &B01111100
Data &B00000000
Data &B01110000
Data &B00101000
Data &B00100100
Data &B01111100
Data &B00000000

' 158
Data &B01111100
Data &B01010100
Data &B01010100
Data &B00100000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 159
Data &B00000110
Data &B00001001
Data &B00001001
Data &B00000110
Data &B00000000
Data &B00111110
Data &B01000001
Data &B00100010

' 160
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 161
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 162
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 163
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 164
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 165
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 166
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 167
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 168     
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01100011
Data &B01100011
Data &B00000000

' 169     
Data &B00111100
Data &B01000010
Data &B10011001
Data &B10100101
Data &B10100101
Data &B01000010
Data &B00111100
Data &B00000000

' 170
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 171     
Data &B00001000
Data &B00010100
Data &B00100010
Data &B00001000
Data &B00010100
Data &B00100010
Data &B00000000
Data &B00000000

' 172
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 173
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 174
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 175
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 176
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 177
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 178
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 179
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 180
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 181
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 182
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 183
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 184
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 185
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 186
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 187     
Data &B00000000
Data &B00100010
Data &B00010100
Data &B00001000
Data &B00100010
Data &B00010100
Data &B00001000
Data &B00000000

' 188
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 189
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 190
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 191
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

'192      
Data &B01111000
Data &B01111100
Data &B00010010
Data &B00010001
Data &B00010001
Data &B01111111
Data &B01111111
Data &B00000000

'193      
Data &B01111111
Data &B01111111
Data &B01000101
Data &B01000101
Data &B01000101
Data &B01111101
Data &B00111001
Data &B00000000

'194      
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000

'195      
Data &B01111111
Data &B01111111
Data &B00000001
Data &B00000001
Data &B00000001
Data &B00000011
Data &B00000011
Data &B00000000

'196      
Data &B11000000
Data &B01111000
Data &B01111100
Data &B01000010
Data &B01000001
Data &B01111111
Data &B01111111
Data &B11000000

'197      
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01100011
Data &B01100011
Data &B00000000

'198      
Data &B01100011
Data &B01110111
Data &B00001100
Data &B01111111
Data &B00001100
Data &B01110111
Data &B01100011
Data &B00000000

'199      
Data &B00000000
Data &B00000000
Data &B01000001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000


'200      
Data &B01111111
Data &B01111111
Data &B00010000
Data &B00001000
Data &B00000100
Data &B01111111
Data &B01111111
Data &B00000000

'201      
Data &B01111111
Data &B01111111
Data &B00010000
Data &B00001011
Data &B00000100
Data &B01111111
Data &B01111111
Data &B00000000

'202      
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00010100
Data &B00100010
Data &B01100011
Data &B01100011
Data &B00000000

'203      
Data &B01111000
Data &B01111100
Data &B00000010
Data &B00000001
Data &B00000001
Data &B01111111
Data &B01111111
Data &B00000000

'204      
Data &B01111111
Data &B01111111
Data &B00000010
Data &B00111100
Data &B00000010
Data &B01111111
Data &B01111111
Data &B00000000

'205      
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00001000
Data &B00001000
Data &B01111111
Data &B01111111
Data &B00000000

'206      
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000

'207      
Data &B01111111
Data &B01111111
Data &B00000001
Data &B00000001
Data &B00000001
Data &B01111111
Data &B01111111
Data &B00000000

'208      
Data &B01111111
Data &B01111111
Data &B00010001
Data &B00010001
Data &B00010001
Data &B00011111
Data &B00001110
Data &B00000000

'209      
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01100011
Data &B00100010
Data &B00000000

'210      
Data &B00000011
Data &B00000011
Data &B00000001
Data &B01111111
Data &B00000001
Data &B00000011
Data &B00000011
Data &B00000000

'211      
Data &B00100111
Data &B01101111
Data &B01010000
Data &B01010000
Data &B01010000
Data &B01111111
Data &B00111111
Data &B00000000

'212      
Data &B00111110
Data &B01111111
Data &B01000001
Data &B11111111
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000

'213      
Data &B01100011
Data &B01110111
Data &B00010100
Data &B00001000
Data &B00010100
Data &B01110111
Data &B01100011
Data &B00000000

'214      
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B01111111
Data &B01111111
Data &B11000000

'215      
Data &B00001111
Data &B00011111
Data &B00010000
Data &B00010000
Data &B00010000
Data &B01111111
Data &B01111111
Data &B00000000

'216      
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01111111
Data &B00000000

'217      
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01111111
Data &B11000000

'218      
Data &B00000001
Data &B01111111
Data &B01111111
Data &B01000100
Data &B01000100
Data &B01111100
Data &B00111000
Data &B00000000

'219      
Data &B01111111
Data &B01111111
Data &B01000100
Data &B01000100
Data &B00111000
Data &B00000000
Data &B01111111
Data &B00000000

'220      
Data &B01111111
Data &B01111111
Data &B01000100
Data &B01000100
Data &B01000100
Data &B01111100
Data &B00111000
Data &B00000000

'221      
Data &B00000000
Data &B01100011
Data &B01000001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00111110
Data &B00000000

'222      
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00111110
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000

'223      
Data &B01001110
Data &B01011111
Data &B01010001
Data &B00110001
Data &B00010001
Data &B01111111
Data &B01111111
Data &B00000000

' 224
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 225
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 226
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 227
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 228
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 229
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 230
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 231
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 232
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 233
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 234
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 235
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 236
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 237
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 238
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 239
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 240
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 241
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 242
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 243
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 244
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 245
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 246
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 247
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 248
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 249
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 250
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 251
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 252
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 253
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 254
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 255
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000

' 256
Data &B00000000
Data &B11111111
Data &B00000000
Data &B11111111
Data &B00000000
Data &B11111111
Data &B00000000
Data &B11111111
'
'-------------------------------------------------------------------------------
'*******************************************************************************